Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454153 - Gecko has crashed while browsing a web in firefox
Summary: Gecko has crashed while browsing a web in firefox
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: i386
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-05 14:41 UTC by Art Sornat
Modified: 2018-04-11 09:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-20 21:37:40 UTC


Attachments (Terms of Use)
This attachement has been created by a bug reporting tool. (deleted)
2008-07-05 14:41 UTC, Art Sornat
no flags Details

Description Art Sornat 2008-07-05 14:41:47 UTC
Gecko has crashed while browsing a web in firefox. See attachment.

Comment 1 Art Sornat 2008-07-05 14:41:47 UTC
Created attachment 311067 [details]
This attachement has been created by a bug reporting tool.

Comment 2 Matěj Cepl 2008-07-29 17:09:35 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Unfortunately, automatically generated backtrack you provided is pretty much
useless to us. Could you please upgrade to the latest version of provided
packages and reproduce this following these instructions?

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Art Sornat 2008-07-30 14:20:25 UTC
[root@localhost ~]# rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
java-1.6.0-openjdk-plugin-1.6.0.0-0.16.b09.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
libflashsupport-000-0.5.svn20070904.i386
flash-plugin-9.0.124.0-release.i386
setroubleshoot-plugins-2.0.4-5.fc9.noarch
xulrunner-1.9.0.1-1.fc9.i386
nspluginwrapper-1.1.0-4.fc9.i386
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.i386
mozilla-filesystem-1.9-2.fc9.i386
gstreamer-plugins-base-0.10.19-2.fc9.i386
gstreamer-plugins-good-0.10.8-8.fc9.i386

Comment 4 Art Sornat 2008-07-30 17:57:22 UTC
[root@localhost ~]# debuginfo-install firefox
enabling livna-debuginfo
Reading repository metadata in from local files
livna-debuginfo                                          | 1.9 kB     00:00     
primary.sqlite.bz2                                       |  70 kB     00:01     
enabling fedora-debuginfo
Reading repository metadata in from local files
fedora-debuginfo                                         | 1.9 kB     00:00     
primary.sqlite.bz2                                       | 1.3 MB     00:08     
enabling updates-debuginfo
Reading repository metadata in from local files
updates-debuginfo                                        | 1.9 kB     00:00     
primary.sqlite.bz2                                       | 469 kB     00:02     
No debuginfo packages available to install


Comment 5 Matěj Cepl 2008-07-31 06:12:46 UTC
There is something strange going on with your repos. Can I get output of the command

yum repolist

Thank you

Comment 6 Art Sornat 2008-07-31 22:56:05 UTC
[root@localhost ~]# yum repolist
livna                                                    | 2.1 kB     00:00     
primary.sqlite.bz2                                       | 241 kB     00:01     
fedora                                                   | 2.4 kB     00:00     
updates                                                  | 2.3 kB     00:00     
fedora               Fedora 9 - i386                          enabled :   9,897
livna                Livna for Fedora Core 9 - i386 - Base    enabled :     736
updates              Fedora 9 - i386 - Updates                enabled :   3,146
repolist: 13,779
[root@localhost ~]# 


Comment 7 Matěj Cepl 2008-08-01 13:36:44 UTC
OK, so two things:

1) please, file a bug against yum-utils component, that debuginfo-install
doesn't work as it should
2) are you able to reproduce the bug consistently? Which website this happens
on? We need some more information to be able to reproduce this bug on our computers.

Comment 8 Matěj Cepl 2008-09-18 15:11:11 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 9 Art Sornat 2008-09-18 16:10:38 UTC
I cannot reproduce this bug consistently. I think it happens on
http://www.gazeta.pl

Comment 10 Matěj Cepl 2008-09-19 15:27:16 UTC
I tried gazeta.pl -- it is an interesting site, but still I cannot get firefox to crash.

Let's give you a month, and unless you will show me a way how to make firefox crash, or at least a good backtrace, I will close this bug as INSUFFICIENT_DATA.

Comment 11 Matěj Cepl 2008-10-20 21:37:40 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.